# Ski Resort Profile API

The resort profile endpoint returns key resort statistics, that are largely static.&#x20;

## GET /resort/{resortId}/profile

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortProfile":{"type":"object","properties":{"elevation":{"required":["base","summit","verticalDrop"],"type":"object","properties":{"verticalDrop":{"type":"number"},"summit":{"type":"number"},"base":{"type":"number"}},"description":"Mountain elevation info in meters"},"website":{"type":"string","description":"Official website URL of the resort","format":"url"},"resortName":{"type":"string","description":"Name of the resort"},"kmNightSkiing":{"type":"number"},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"allLifts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram"]}}}},"details":{"type":"object","properties":{"numEightLifts":{"type":"integer","format":"int32"},"numTripleChairs":{"type":"integer","format":"int32"},"numGondolasTrans":{"type":"integer","format":"int32"},"numQuadChairs":{"type":"integer","format":"int32"},"numLifts":{"type":"integer","format":"int32"},"numSurfaceLifts":{"type":"integer","format":"int32"},"numHighSpeedQuads":{"type":"integer","format":"int32"},"numHighSpeedSix":{"type":"integer","format":"int32"},"numDoubleChairs":{"type":"integer","format":"int32"}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"services":{"type":"object","properties":{"hasNordic":{"type":"boolean","description":"Whether the resort offers nordic skiing"},"hasSnowPark":{"type":"boolean","description":"Whether the resort has a snow park"},"hasSkiing":{"type":"boolean","description":"Whether the resort offers skiing"},"hasSummer":{"type":"boolean","description":"Whether the resort offers summer activities"},"glacierResort":{"type":"boolean","description":"Whether the resort is located on a glacier"},"indoorResort":{"type":"boolean","description":"Whether the resort is an indoor resort"}}},"facts":{"type":"object","properties":{"projectedOpening":{"type":"string","description":"Projected opening date in YYYY-MM-DD format","format":"date"},"numDaysOpenLastYear":{"type":"integer","description":"Number of days the resort was open last year","format":"int32"},"projectedClosing":{"type":"string","description":"Projected closing date in YYYY-MM-DD format","format":"date"}},"description":"Additional facts about the resort"},"url":{"type":"string"},"skierEmail":{"type":"string"},"numNightSkiingAcres":{"type":"number"},"schedule":{"type":"array","description":"Describes resort operating hours for each day of the week. `day` uses 0..6 (0=Monday, 6=Sunday).","items":{"required":["day","from","to"],"type":"object","properties":{"isNight":{"type":"boolean","description":"Whether this time range is a night session."},"from":{"type":"string","description":"Start time in HH:mm:ss (24h). Example: 08:45:00"},"to":{"type":"string","description":"End time in HH:mm:ss (24h). Example: 15:30:00"},"day":{"maximum":6,"minimum":0,"type":"integer","description":"Day of week (0=Sunday ... 6=Saturday).","format":"int32"}}}},"phone800":{"type":"string"},"location":{"type":"object","properties":{"zip":{"type":"string","description":"ZIP code of the resort"},"city":{"type":"string","description":"City where the resort is located"},"stateName":{"type":"string","description":"Name of the state"},"street":{"type":"string","description":"Street address of the resort"},"latitude":{"type":"number","description":"Latitude","format":"float"},"countryName":{"type":"string","description":"Name of the country"},"longitude":{"type":"number","description":"Longitude","format":"float"}},"description":"Location details of the resort"},"id":{"type":"integer","description":"Unique identifier for the resort profile","format":"int32"},"runs":{"type":"object","properties":{"expert":{"type":"integer","description":"Number of expert runs","format":"int32"},"total":{"type":"integer","description":"Total number of runs","format":"int32"},"beginner":{"type":"integer","description":"Number of beginner runs","format":"int32"},"advanced":{"type":"integer","description":"Number of advanced runs","format":"int32"},"intermediate":{"type":"integer","description":"Number of intermediate runs","format":"int32"},"allRuns":{"type":"array","items":{"type":"object","properties":{"difficulty":{"type":"integer","description":"\n * 1 - Beginner - Green (in US)\n * 2 - Intermediate - Blue (in US)\n * 3 - Advanced - Black (in US)\n * 4 - Expert - Double Black (in US)","format":"int32","enum":[1,2,3,4]},"length":{"type":"integer","description":"Length of run in meters","format":"int32"},"name":{"type":"string"}}}},"totalRunsLength":{"type":"number","description":"Total length of all runs in km","format":"float"}},"description":"Information about the resort's runs"},"terrain":{"type":"object","properties":{"km":{"type":"number","description":"Kilometers of pistes","format":"float"},"acres":{"type":"integer","description":"Skiable acres","format":"int32"},"skiReturn":{"type":"integer","description":"Ability to return by ski","format":"int32"},"longestRun":{"type":"integer","description":"Longest resort run","format":"int32"}},"description":"Terrain information"}},"description":"Detailed profile information of a resort"}}},"paths":{"/resort/{resortId}/profile":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortProfile"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://partner.docs.onthesnow.com/api-reference/ski-resort-profile-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
